using DAL;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace AppliWebANA.Models {
	public static class Utilitaires {
		public static string UtilisateurCourant {
			get { return (string) HttpContext.Current.Session[nameof( UtilisateurCourant )]; }
			set { HttpContext.Current.Session[nameof( UtilisateurCourant )] = value; }
		}

		public readonly static Dictionary<short, Titre> Titres;

		static Utilitaires() {
			using( var dc = new AnnuaireEntities() ) {
				Titres = dc.Titres.ToDictionary( titre => titre.Id );
			}
		}

	}
}